lwIP 2.1.2 Lightweight IP stack

Macros
Flags
APIs » "raw" APIs » Network interface (NETIF)

## Macros
#define | NETIF_FLAG_UP 0x01U
#define | NETIF_FLAG_BROADCAST 0x02U
#define | NETIF_FLAG_LINK_UP 0x04U
#define | NETIF_FLAG_ETHARP 0x08U
#define | NETIF_FLAG_ETHERNET 0x10U
#define | NETIF_FLAG_IGMP 0x20U
#define | NETIF_FLAG_MLD6 0x40U

## Detailed Description

## Macro Definition Documentation

## ◆ NETIF_FLAG_BROADCAST

#define NETIF_FLAG_BROADCAST 0x02U

If set, the netif has broadcast capability. Set by the netif driver in its init function.

## ◆ NETIF_FLAG_ETHARP

#define NETIF_FLAG_ETHARP 0x08U

If set, the netif is an ethernet device using ARP. Set by the netif driver in its init function. Used to check input packet types and use of DHCP.

## ◆ NETIF_FLAG_ETHERNET

#define NETIF_FLAG_ETHERNET 0x10U

If set, the netif is an ethernet device. It might not use ARP or TCP/IP if it is used for PPPoE only.

## ◆ NETIF_FLAG_IGMP

#define NETIF_FLAG_IGMP 0x20U

If set, the netif has IGMP capability. Set by the netif driver in its init function.

## ◆ NETIF_FLAG_LINK_UP

#define NETIF_FLAG_LINK_UP 0x04U

If set, the interface has an active link (set by the network interface driver). Either set by the netif driver in its init function (if the link is up at that time) or at a later point once the link comes up (if link detection is supported by the hardware).

## ◆ NETIF_FLAG_MLD6

#define NETIF_FLAG_MLD6 0x40U

If set, the netif has MLD6 capability. Set by the netif driver in its init function.

## ◆ NETIF_FLAG_UP

#define NETIF_FLAG_UP 0x01U

Whether the network interface is 'up'. This is a software flag used to control whether this network interface is enabled and processes traffic. It must be set by the startup code before this netif can be used (also for dhcp/autoip).